/v2/api/namespaces/{namespaceId} (GET) - User Guide - BlueCat Edge

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge

Returns a namespace based on the namespace ID.

GET https://api-<BlueCat.edge.url>/v2/api/namespaces/{namespaceId}
Authorization: Bearer token

Parameters

Name Description Type
namespaceId The ID of the namespace you would like to return. String

Successful response

200 OK
Content-Type: application/JSON
{
    "id": "1234abcd-5678-9012-a1b2-c3d5e6f7",
    "name": "another namespace 2",
    "type": "USER",
    "description": "test-namespace-description-1",
    "isDefault": true,
    "matchLists": [],
    "exceptionLists": [],
    "ipMatchLists": [],
    "ipExceptionLists": [],
    "ttl": 60,
    "staleCacheEntriesTTL": 86400,
    "negativeCacheTTL": 30,
    "ecsConfiguration": {
        "v4Prefix": 24,
        "v6Prefix": 56,
        "override": false
    },
    "retryRCodes": [
        3,
        5
    ],
    "associatedSiteSettings": [
        {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "overridingForwarders": []
        }
    ],
    "forwarderType": "UNENCRYPTED",
    "forwarders": [
        "127.0.0.1",
        "8.9.10.11"
    ],
    "forwarderCertificate": "",
    "umbrellaIntegrationId": ""
}
Note: A TTL value of -1 indicates that the cache TTL value is overridden; however, the TTL value of the custom root hint cannot be a negative value.
Possible error codes
  • 400 Bad Request - Invalid namespace ID
  • 404 Not Found - No matching namespace found
  • 500 Internal Server Error - Unexpected error while processing the request